Skip to main content
GET
/
v0
/
polygon
/
delegators
Delegator Summaries
curl --request GET \
  --url https://api.rated.network/v0/polygon/delegators \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rated.network/v0/polygon/delegators"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rated.network/v0/polygon/delegators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": {
    "from": 123,
    "to": 123,
    "size": 1
  },
  "total": 1,
  "data": [
    {
      "delegatorAddress": "<string>",
      "networkPenetration": "<string>",
      "delegations": [
        {
          "validatorId": 1,
          "validatorName": "<string>",
          "stakePercentage": 123
        }
      ],
      "aprGross": "<string>",
      "aprNet": "<string>",
      "aggregateEffectiveness": "<string>",
      "blendedCommissionRate": "<string>",
      "totalDelegatorStake": "<string>",
      "totalGrossRewards": "<string>",
      "totalNetRewards": "<string>",
      "totalCommissionPaid": "<string>"
    }
  ],
  "next": "<string>"
}
{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}
Similar to the Single Delegator Summary but returns the summary stats for all delegators. Here’s how to interpret the inputs required to operate it:
ParameterContext
windowWindow of the aggregation, with 1d, 7d, 30d and all being the supported values
fromFrom a specific delegator’s ranking based on their order in terms of network_penetration
sizeThe number of results included per page

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

window
enum<string>
required
Available options:
1d,
7d,
30d,
all
from
integer | null
Required range: x >= 0
size
integer
default:15

Response

Successful Response

page
Page · object
required
total
integer
required
Required range: x >= 0
data
PolygonDelegatorSummary · object[]
required
next
string | null